跳转到内容
简体中文

保存联系方式

POST/v1/mailboxes/{mailbox_id}/contacts

将联系人的姓名和地址保存在所选邮箱中。如果具有相同 email 的联系人已存在,则更新其姓名而不创建重复项。

授权和访问区域 · 错误和重复

要求

终端窗口
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/contacts' \
-H 'Authorization: Bearer <access_token>' \
-H 'Content-Type: application/json' \
--data '{"email":"[email protected]","name":"Support team"}'

选项

mailbox_idpath一定

integer

X-Customer-IDheader
选项 1

string

选项 2

null

请求正文 · application/json

object

email一定

string

name一定

string

minLength: 1

maxLength: 120

不接受未知字段。

响应

200 成功回复

application/json

object

id

integer

mailbox_id

integer

email

string

name

string

created_at

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

401 需要登录

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

403 无法访问

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

404 找不到资源

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

409 国家冲突

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

422 验证错误

application/json

object

detail

array

数组元素

object

loc一定

array

数组元素
选项 1

string

选项 2

integer

msg一定

string

type一定

string

503 暂时无法使用

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object